/**
 * @file
 * Claro styles for the System Status general info.
 */

.system-status-general-info {
  padding: var(--admin-space-m);

  h3 + .divider,
  .divider:last-child {
    display: none;
  }

  @media screen and (max-width: 48em) {
    margin-block-start: 25px;
    border-block-start: 0;
  }
}

.system-status-general-info__header {
  padding: var(--admin-space-m) var(--admin-space-l);
  text-transform: none;
  color: var(--admin-color-primary-active);
  border: 0 none;
  border-radius: var(--admin-radius-m);
  background: var(--admin-color-bg-header);
  font-size: var(--admin-font-size-l);
  font-weight: var(--admin-font-weight-bold);
  margin-block: 0 var(--admin-space-xs);
  margin-inline: 0;

  @media screen and (max-width: 48em) {
    display: none;
  }
}

.system-status-general-info__item {
  display: block;
  overflow-x: auto;
  box-sizing: border-box;
  margin-block-end: var(--admin-space-l);
  padding: var(--admin-space-m);
  border: 0 none;
  background: transparent;
  box-shadow: none;

  @media screen and (min-width: 48em) {
    width: 32%;

    &:last-of-type {
      margin-inline-start: 2%;
    }
  }
}

.system-status-general-info__item-icon {
  display: inline-block;
  width: 42px;
  height: 42px;
  vertical-align: top;

  &::before {
    display: block;
    width: 100%;
    height: 100%;
    content: "";
    border-radius: 42px;
    background-color: var(--admin-color-primary);
    mask-repeat: no-repeat;
    mask-position: center center;
    mask-size: 32px 32px;
  }
}

.system-status-general-info__item-icon--drupal::before {
  mask-image: var(--admin-icon-drupal);
}

.system-status-general-info__item-icon--clock::before {
  mask-image: var(--admin-icon-clock);
}

.system-status-general-info__item-icon--server::before {
  mask-image: var(--admin-icon-server);
}

.system-status-general-info__item-icon--php::before {
  mask-image: var(--admin-icon-php);
}

.system-status-general-info__item-icon--database::before {
  mask-image: var(--admin-icon-database);
}

.system-status-general-info__item-details {
  position: relative;
  display: inline-block;
  box-sizing: border-box;
  width: calc(100% - 60px);
  padding-inline-start: 10px;
  font-size: var(--admin-font-size-s);
}

.system-status-general-info__item-title {
  margin: 0 0 8px;
  color: var(--admin-color-text-loud);
  font-size: var(--admin-font-size-m);
  font-weight: var(--admin-font-weight-semibold);
}

.system-status-general-info__sub-item-title {
  margin: 14px 0 0;
  font-size: 14px;
  font-weight: var(--admin-font-weight-bold);

  &::after {
    content: ":\00a0";
  }
}

.system-status-general-info__sub-item__title {
  font-weight: bold;
}

.system-status-general-info__sub-item__value {
  display: block;
}

.system-status-general-info__run-cron {
  margin: 1em 0 0;

  &.button {
    margin: 0;
  }
}

.system-status-general-info__items {
  margin-block: var(--admin-space-m) 0;
  margin-inline: 0;
  border-block-end: 0 none;

  @media screen and (min-width: 48em) {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;

    &::after {
      flex: auto;
      content: "";
    }
  }
}
